Servers - Bug #631

Idle/age time of many git repos shown by cgit are wrong
2014-12-28 02:14 AM - alfplayer

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

Times can be seen here: https://projects.parabola.nu/

History

#1 - 2014-12-28 02:29 AM - lukeshu

cgit simply looks at the ctime (or is it mtime?) of the repository directory. Because of a chmod setting the sgid bit on directories that was run on
December 4th, the farthest back time it displays is "3 weeks ago" (the 4th is 3 weeks and 2 days ago at the time of this writing). Before that, the
farthest time back was the date of the last server migration.

#2 - 2014-12-28 02:39 AM - lukeshu

It's ctime... the one that touch can't set to arbitrary values.

However, the timestamp checking is only a fallback if 'agefile’ (info/web/last-modified by default) doesn't exist. I'm now looking into generating that
file.

#3 - 2014-12-28 03:44 AM - lukeshu
- % Done changed from 0 to 90

- Assignee set to lukeshu

- Status changed from open to in progress

There needs to be an associated change in hackers.git/git-shell-commands/create-bare-repo. Until then, someone will need to run sudo -u git
'~git/tidy-hooks' after someone creates a repo.

Gitolite is starting to look kinda nice right now.

#4 - 2018-02-14 01:04 AM - lukeshu
This has been fixed since 2016-07-08 https:/git.parabola.nu/git-meta.git/commit/?id=3eb16d93bf95b2a7d40fb1607622cabie2f4b81e

#5 - 2018-02-14 01:04 AM - lukeshu
- % Done changed from 90 to 100

- Status changed from in progress to fixed
